summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Navigium <navigium@grindcore.ch>2014-12-23 08:29:37 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-23 08:29:37 +0700
commitea44275627e9829d05ef0168c69e75217d82441d (patch)
treea5ad345c1c145c6ee7cd790149b6015f50e3890d /network
parent574bb932de8ffb07a7b2c924069ec4131a7a84ce (diff)
downloadslackbuilds-ea44275627e9829d05ef0168c69e75217d82441d.tar.gz
slackbuilds-ea44275627e9829d05ef0168c69e75217d82441d.tar.xz
network/keybase-client: Added (keybase client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/keybase-client/README10
-rw-r--r--network/keybase-client/keybase-client.SlackBuild88
-rw-r--r--network/keybase-client/keybase-client.info11
-rw-r--r--network/keybase-client/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/network/keybase-client/README b/network/keybase-client/README
new file mode 100644
index 0000000000..c597e25beb
--- /dev/null
+++ b/network/keybase-client/README
@@ -0,0 +1,10 @@
+This is the node client for the keybase.io website. Keybase is a webapplication
+based on open source code that lets you connect your GnuPG key to your accounts in
+social networks and therefor prove that the owner of said key is the same
+person as the owner of the social network accounts.
+
+As explained on the website, Keybase is more than a website. If you're
+comfortable working in a terminal, you can install this keybase command line
+program. Note that the recommended way to install the keybase client is using
+the provided installer which can be installed using npm. This SlackBuild is for
+everyone who feels more comfortable installing Slackware packages.
diff --git a/network/keybase-client/keybase-client.SlackBuild b/network/keybase-client/keybase-client.SlackBuild
new file mode 100644
index 0000000000..4bf64dede2
--- /dev/null
+++ b/network/keybase-client/keybase-client.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for keybase-client
+
+# Copyright 2014 Beni
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=keybase-client
+VERSION=${VERSION:-0.7.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/node-client-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd node-client-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# move the needed directories to the correct location.
+mkdir -p $PKG/usr/share/$PRGNAM
+mv bin json lib node_modules $PKG/usr/share/$PRGNAM
+mv package.json $PKG/usr/share/$PRGNAM
+# create a link to have a executable
+mkdir -p $PKG/usr/bin/
+ln -s $PKG/usr/share/$PRGNAM/bin/main.js $PKG/usr/bin/keybase
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv CHANGELOG.md LICENSE README.md SIGNED.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/keybase-client/keybase-client.info b/network/keybase-client/keybase-client.info
new file mode 100644
index 0000000000..4828790f16
--- /dev/null
+++ b/network/keybase-client/keybase-client.info
@@ -0,0 +1,11 @@
+PRGNAM="keybase-client"
+VERSION="0.7.3"
+HOMEPAGE="https://keybase.io"
+DOWNLOAD="https://github.com/keybase/node-client/archive/v0.7.3.tar.gz"
+MD5SUM="04afb8ea6ea8ec1a01dfbfa80e33e77b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="node"
+MAINTAINER="Navigium"
+EMAIL="beni.nospam@sdf.org"
+
diff --git a/network/keybase-client/slack-desc b/network/keybase-client/slack-desc
new file mode 100644
index 0000000000..08c2374e34
--- /dev/null
+++ b/network/keybase-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+keybase-client: keybase-client (command line client for the keybase.io website)
+keybase-client:
+keybase-client: This is the node client for the keybase.io website. Keybase is a
+keybase-client: webapplication based on open source code that lets you connect your
+keybase-client: GnuPG key to your social network accounts and therefor prove that
+keybase-client: the owner of the key and said accounts is the same.
+keybase-client:
+keybase-client: This client lets you use the keybase.io functions from your command
+keybase-client: line and avoids the need to upload your private key to keybase.io
+keybase-client:
+keybase-client: